## jack-example-tools 4

=== meson_options.txt ===
option('alsa_in_out', type: 'feature', value: 'auto', description: 'Build the alsa_in and alsa_out executables (default: auto)')
option('jack_net', type: 'feature', value: 'auto', description: 'Build the jack_net_master and jack_net_slave executables (default: auto)')
option('jack_netsource', type: 'feature', value: 'auto', description: 'Build the jack_netsource executable (default: auto)')
option('jack_rec', type: 'feature', value: 'auto', description: 'Build the jack_rec executable (default: auto)')
option('opus_support', type: 'feature', value: 'auto', description: 'Build the jack_netsource executable with opus support (default: auto)')
option('readline_support', type: 'feature', value: 'auto', description: 'Build the jack_transport executable with readline support (default: auto)')
option('zalsa', type: 'feature', value: 'auto', description: 'Build the ZALSA internal client (default: auto)')

=== debian/changelog ===
jack-example-tools (4-4) unstable; urgency=medium

  * debian/: Move dependencies for JACK2 specific tools to Recommends (Closes:
    #1080519)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 17 Mar 2025 22:45:17 +0100

jack-example-tools (4-3) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version
    - Add Breaks+Replaces for moved manpage (Closes: #1100378)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 14 Mar 2025 09:23:30 +0100

jack-example-tools (4-2) unstable; urgency=medium

  [ Aaron Wyatt ]
  * Fix version in Breaks and Replaces (Closes: #1076836)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 26 Jul 2024 13:59:47 +0200

jack-example-tools (4-1) unstable; urgency=medium

  * Split off examples and tools into separate source packages based on the
    changes done upstream
  * debian/: Redo packaging for examples and tools

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Jul 2024 19:45:26 +0200

jackd2 (1.9.21~dfsg-3) unstable; urgency=medium

  * Team upload.
  * Import Vagrant Cascadian's reproducible builds patches:
    - Add 0001-man-fill_template-Use-numeric-year-month-date-for-ma.patch.
      Without this patch, manpages may contain a locale-translated month name,
      as well as a different date based on the build environment timezone.
      (Closes: #1035331).
    - Add 0002-man-fill_template-Use-UTC-date-to-avoid-differences-.patch.
      This patch solves variance in generated man page date stamps introduced
      when man pages generated in different timezones are compared to each
      other.
    - Add 0003-man-fill_template-Use-POSIX-compatible-comparison.patch.  When
      built in an environment where /bin/sh -> bash, all of these manpages are
      built and included in the package.  When /bin/sh -> dash, the manpages
      that users depend on are absent from bin:jackd2.
      (Closes: #1035329, #1035308).

 -- Nicholas D Steeves <sten@debian.org>  Thu, 04 May 2023 15:29:39 -0400

jackd2 (1.9.21~dfsg-2) unstable; urgency=medium

  * Team upload
  * Bump Standards-Version to 4.6.2
  * Fix FTBFS: ValueError: invalid mode: 'rUb' (Closes: #1028710)

 -- Dennis Braun <snd@debian.org>  Tue, 17 Jan 2023 21:34:44 +0100

jackd2 (1.9.21~dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Dennis Braun ]
  * New upstream version 1.9.21~dfsg
  * Bump Standards Version to 4.6.1
  * Fix Conflicts/Breaks of libjack-jackd2-0 and libjack-jackd2-dev
  * d/rules: Add hardening
  * d/rules: Build with --example-tools, not anymore default
  * d/upstream/metadata: Add Archive, Repository & Repository-Browse fields
  * Add Peter Bridgman to d/copyright

  [ Sebastian Ramacher ]
  * debian/control:
    - Remove useless Breaks
    - Remove obsolete Replaces

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 26 May 2022 12:35:45 +0200

jackd2 (1.9.20~dfsg-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Erich Eickmeyer ]
  * Build without LTO Unfortunately, if built with LTO, jackd2 will hang and
    deny any client connection. Per
    https://github.com/jackaudio/jack2/issues/776

  [ Sebastian Ramacher ]
  * New upstream version 1.9.20~dfsg
  * debian/patches: Remove obsolete patch. Upstream supports SOURCE_DATE_EPOCH

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Jan 2022 17:38:32 +0100

jackd2 (1.9.19~dfsg-2) unstable; urgency=medium

  * Team upload
  * debian/:
    - Convert to debhelper compat 13
    - Filter linux-any specific files using dh-exec
    - Fix FTCBFS (Closes: #912907)
  * debian/control: Remove obsolete Depends and Replaces
  * debian/copyright: Clean up copyright file and merge paragraphs
  * debian/patches: Remove unused patch
  * debian/libjack-jackd2-0.lintian-overrides: Fix lintian tag name

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 02 Sep 2021 13:35:50 +0200

jackd2 (1.9.19~dfsg-1) unstable; urgency=medium

  * Team upload

  [ Erich Eickmeyer ]
  * Add libdb-dev is a build dependency for metadata per upstream (Closes:
    #985050)

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/copyright:
    - Remove bogus paragraphs
    - Add new paragraph for zalsa
  * debian/copyright: Bump Standards-Version
  * debian/: Build with zalsa client
  * debian/jackd2.maintscript: Remove now obsolete rm_conffile

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 02 Sep 2021 00:31:19 +0200

jackd2 (1.9.17~dfsg-1) unstable; urgency=medium

  * Team upload

  [ Olivier Humbert ]
  * d/control: freebob isn't provided anymore
  * d/control.in: freebob isn't provided anymore

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 21 Jan 2021 21:52:23 +0100

jackd2 (1.9.16~dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/copyright:
    - Fix pattern in Files-Excluded
    - Update paths of moved files

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Oct 2020 16:56:14 +0200

jackd2 (1.9.14~dfsg-1) unstable; urgency=medium

  * Team upload

  [ Sebastian Ramacher ]
  * debian/control:
    - Remove obsolete Pre-Depends
    - Remove d-shlibs from B-Ds
    - Add libsystemd-dev to B-Ds to build with sd_notify support
    - Remove unused asound:Depends
  * debian/copyright: Remove waf from Files-Excluded (Closes: #884082)
  * debian/jackd2.maintscript: Update maintscript to remove old conffiles
    (Closes: #726079)
  * debian/audio.conf: Fix command (Closes: #951432)

  [ Jonas Smedegaard ]
  * remove myelf as uploader

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 24 Aug 2020 21:13:05 +0200

jackd2 (1.9.14~dfsg-0.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]


=== debian/control ===
Source: jack-example-tools
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libasound-dev,
 libjack-jackd2-dev,
 libopus-dev,
 libreadline-dev,
 libsamplerate-dev,
 libsndfile-dev,
 libzita-alsa-pcmi-dev,
 libzita-resampler-dev,
 meson,
 pkgconf,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://jackaudio.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/jack-example-tools.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jack-example-tools

Package: jack-example-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 jackd
Recommends:
 ${shlibs:Recommends}
Breaks: jackd2 (<< 1.9.22~dfsg-1~), jackd1 (<< 1:0.126.0-3~)
Replaces: jackd2 (<< 1.9.22~dfsg-1~), jackd1 (<< 1:0.126.0-3~)
Description: JACK Audio Connection Kit (example clients)
 JACK is a low-latency sound server, allowing multiple applications to
 connect to one audio device, and to share audio between themselves.
 .
 Tools specific to JACK2 require Recommends to be installed to function
 correctly.
 .
 This package contains some example clients and tools.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps -X usr/bin/jack_net_ -X usr/bin/jack_server_ -Xzalsa  -- \
		-dRecommends \
			$(wildcard debian/jack-example-tools/usr/bin/jack_net_*) \
			$(wildcard debian/jack-example-tools/usr/bin/jack_server_*) \
			$(wildcard debian/jack-example-tools/usr/lib/*/jack/zalsa_*) \
		-dDepends

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/jackaudio/jack-example-tools/releases?per_page=100 \
    https://api.github.com/repos/jackaudio/jack-example-tools/tarball/@ANY_VERSION@
